Last modified: 2013-11-07 15:46:22 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27382 - special:search snippets have the wrong encoding
special:search snippets have the wrong encoding
Status: RESOLVED WORKSFORME
Product: MediaWiki
Classification: Unclassified
Search (Other open bugs)
1.17.x
PC Linux
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2011-02-13 19:30 UTC by serega386
Modified: 2013-11-07 15:46 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
screenshot (96.29 KB, image/png)
2011-02-13 19:35 UTC, serega386
Details

Description serega386 2011-02-13 19:30:30 UTC
Ubuntu 10.04 LTS x86_64
# svn info
Путь: '.'
URL: http://svn.wikimedia.org/svnroot/mediawiki/branches/REL1_17/phase3
Корень репозитория: http://svn.wikimedia.org/svnroot/mediawiki
UUID репозитория: dd0e9695-b195-4be7-bd10-2dea1a65a6b6
Редакция: 82071
Вид узла: каталог
Задано: нормально
Автор последнего изменения: ialex
Редакция последнего изменения: 81968
Дата последнего изменения: 2011-02-11 17:53:39 +0300 (Птн, 11 Фев 2011)

# apache2 -v
Server version: Apache/2.2.14 (Ubuntu)
Server built:   Nov 18 2010 21:19:09

# php -v
PHP 5.3.2-1ubuntu4.7 with Suhosin-Patch (cli) (built: Jan 12 2011 18:36:55) 
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
Comment 1 serega386 2011-02-13 19:35:02 UTC
Created attachment 8140 [details]
screenshot
Comment 2 Ryan Lane 2011-02-13 19:39:46 UTC
Closed the wrong bug :(
Comment 3 Bawolff (Brian Wolff) 2011-02-13 19:43:53 UTC
Based on your screenshot, I'm assuming only the snippets from special:search have wrong encoding.
Comment 4 Max Semenik 2011-02-13 20:16:58 UTC
What database and what collation (in case of MySQL) are you using?
Comment 5 serega386 2011-02-13 20:23:52 UTC
PostgreSQL 8.4.7 on x86_64-pc-linux-gnu, compiled by GCC gcc-4.4.real (Ubuntu 4.4.3-4ubuntu5) 4.4.3, 64-bit

CREATE DATABASE wikidb
  WITH OWNER = wikiuser
       ENCODING = 'UTF8'
       TABLESPACE = pg_default
       LC_COLLATE = 'ru_RU.UTF-8'
       LC_CTYPE = 'ru_RU.UTF-8'
       CONNECTION LIMIT = -1;
Comment 6 Max Semenik 2011-02-13 20:34:54 UTC
CC'ing the Postgres maintainer.
Comment 7 Andre Klapper 2013-09-04 11:08:56 UTC
serega386: Is this still a problem in a supported MediaWiki version (1.19 or newer)?
Comment 8 serega386 2013-09-04 11:18:42 UTC
1.19.0beta1 (r115697) - working as it should
Comment 9 Andre Klapper 2013-11-07 15:46:22 UTC
Thanks for the update (though it's scary that you use an old beta version, please update to the latest supported version which is 1.19.8).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links